Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::DnsSettings Struct Reference

DNS settings. More...

`import <Net.idl;`

## Public Attributes
vector< string > | serverAddrs
| List of domain name servers addresses (IPv4/IPv6)
vector< string > | searchSuffixes
| List of domain search suffixes.
boolean | resolverPrefersIPv6
| Resolver should prefer IPv6 addresses.

## Detailed Description

DNS settings.

Definition at line 40 of file Net.idl.

## Member Data Documentation

## ◆ resolverPrefersIPv6

boolean net::DnsSettings::resolverPrefersIPv6

Resolver should prefer IPv6 addresses.

Definition at line 43 of file Net.idl.

## ◆ searchSuffixes

vector<string> net::DnsSettings::searchSuffixes

List of domain search suffixes.

Definition at line 42 of file Net.idl.

## ◆ serverAddrs

vector<string> net::DnsSettings::serverAddrs

List of domain name servers addresses (IPv4/IPv6)

Definition at line 41 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl